#include <bits/stdc++.h>

using namespace std;
typedef long long ll;
bool smaller(int x);
int find_nomber(int MAX){
    ll l = 1, r = MAX;
    while(l != r){
        ll tm = (l + r) / 2;
        if(smaller(tm + 1) == 1)
            r = tm;
        else l = tm + 1;
    }
    return l;
}